// COLORS

@import 'src/assets/styles/colors';

// ICONS

@import "src/assets/icons/style";

// NATIVE HTML ELEMENTS

* {
    font-family: Arial, Helvetica, sans-serif;
    color: $color-dark-blue;

    ::-webkit-scrollbar {
        width: 6px;
        height: 6px;
    }
    
    ::-webkit-scrollbar-track {
        background: $color-grey-ten;
    }
    
    ::-webkit-scrollbar-thumb {
        background: $color-teal;
    }
    
    ::-webkit-scrollbar-thumb:hover {
        background: darken($color-teal, 10);
    }
}

html::before{
    content: "";
    background: url(assets/images/background.png) no-repeat center center fixed; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    position: fixed;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    opacity: 0.1;
    z-index: -100;
}

body{
    margin: 0;
}

h1{
    font-size: 32px;
    font-weight: bold;
    margin:0;
}

h2{
    font-size: 16px;
    color: $color-teal;
    font-weight: bold;
    margin:0;
}

p{
    margin: 0;
    font-size: 16px;
}

a{
    font-size: 16px;
    color: $color-grey-thirty;

    &:focus-visible{
        outline: 2px solid $color-teal;
        outline-offset: 2px;
    }
    &:hover{
        color: $color-teal;
    }
}

// ANGULAR MATERIAL COMPONENTS

// snackbar:
.mat-snack-bar-container{
    position: fixed !important;
    top: 24px !important;
    margin-left: auto !important;
    left: 0 !important;
    right: 0 !important;
    margin-right: auto !important;
    text-align: center !important;

    .mat-simple-snackbar{
        display: flex !important;
        align-items: center !important;
        justify-content: center !important;
    }
}

.mat-snack-bar-handset{
    display: flex !important;
    justify-content: center !important;
}
.green-snackbar {
    background: $color-teal;
    color: $color-white;
    font-size: 16px;
}
.red-snackbar {
    background: $color-error !important;
    font-size: 16px !important;
    max-width: fit-content !important;
    padding-bottom: 12px !important;
    padding-top: 12px !important;
    padding-left: 20px !important;
    padding-right: 20px !important;

    .mat-simple-snack-bar-content{
        color: $color-white !important;
    }
}
